@import '../../styles/variables';
@import '../../styles/input-mixins';

.cui-datepicker-inline {
  .cui-form-field .cui-input-wrapper {
    box-shadow: none;
  }

  lib-angular-mydatepicker-calendar {

    // this is used to add the font to the whole datepicker table
    .myDpCalTable * {
      font-family: $cui-font !important;
    }

    // this class belongs to the top header that contains the selected month and year
    .myDpMonthYearText {
      font-family: $cui-font !important;
      order: 1;
      text-align: left !important;
      margin-left: 0.4rem !important;
    }

    // these classes removes the border-radius for year and month selection
    .myDpMonthcell, .myDpYearcell {
      border-radius: 0 !important;
    }

    // this adds the border rqdius for the days cells
    .ng-mydp table td, .ng-mydp table th {
      border-radius: 50%;

      &.myDpRangeColor {
        border-radius: 0;
      }
    }

    // this removes border radius from the month selection table
    .myDpMonthTable {
      .ng-mydp table td, .ng-mydp table th {
        border-radius: 0 !important;
      }
    }

    // this is the marker style for the current day
    .myDpMarkCurrDay {
      width: 100%;
      height: 100%;
      border: none !important;
      background-color: #cce3fa;
      vertical-align: middle;
      display: flex;
      justify-content: center;
      justify-items: center;
      border-radius: 50%;
      align-items: center;
      position: absolute;
      top: 0;
    }

    // this is the style for the selected day
    .myDpSelectedDay {
      background-color: #0073e6 !important;
      border-radius: 50%;

      .myDpDayValue {
        color: white !important;
      }

      .myDpMarkCurrDay {
        width: 100%;
        height: 100%;
        border: none !important;
        background-color: #0073e6;
        vertical-align: middle;
        display: flex;
        justify-content: center;
        justify-items: center;
        border-radius: 50%;
        align-items: center;
        color: white;
      }
    }

    // this sets the styles for the begin and end date for range select
    .myDpRangeEnd, .myDpRangeBegin {
      .myDpDayValue {
        color: white;
        width: 100%;
        height: 100%;
        border: none !important;
        background-color: #0073e6;
        vertical-align: middle;
        display: flex;
        justify-content: center;
        justify-items: center;
        border-radius: 50%;
        align-items: center;
        position: absolute;
        top: 0;
      }
    }

    // this sets the style for the datepicker table header where the week day names are shown
    .myDpWeekDayTitle {
      color: $cui-n200 !important;
    }

    // this styles the datepicker table
    .myDpCalTable {
      .myDpDayValue {
        color: $cui-n600;
      }

      thead {
        border-bottom: 1px solid $cui-default-border-color;
        height: 2.5rem;
      }

      @-moz-document url-prefix() {
        thead {
          height: auto;
        }
      }

      tbody:before {
        content: "@";
        display: block;
        line-height: 0.2rem;
        text-indent: -999rem;
      }

      .myDpHighlight {
        color: $cui-n600;
      }

      .myDpPrevMonth, .myDpNextMonth {
        .myDpDayValue {
          color: $cui-n100;
          opacity: 1;
        }
      }

      .myDpMonthTable, .myDpMonthcell, .myDpWeekDayTitle, .myDpYearTable, .myDpYearcell {
        color: $cui-n100;
        opacity: 1;
      }
    }

    // this sets the color for the selected year and month
    .myDpSelectedMonth, .myDpSelectedYear {
      background-color: #0073e6 !important;
      color: white !important;
    }

    // this sets the begin range style
    .myDpRangeBegin {
      background-color: #dbeaff !important;
      border-radius: 50% 0 0 50% !important;
    }

    // this sets the end range style
    .myDpRangeEnd {
      background-color: #dbeaff !important;
      border-radius: 0 50% 50% 0 !important;
    }


    // this sets the hover animations for day, month and year
    .myDpTableSingleDay:hover, .myDpTableSingleMonth:hover, .myDpTableSingleYear:hover {
      background-color: #f2f4f7 !important;
      color: $cui-n600 !important;

      .myDpDayValue {
        color: $cui-n600;
      }

      &.myDpSelectedDay {
        background-color: #0073e6 !important;
        color: white !important;
        border-radius: 50% !important;

        .myDpDayValue {
          color: white !important;
        }
      }
    }

    // this changes the preexisting styles for the datepicker selector table
    .myDpSelector {
      border: none !important;
      padding: 0.8rem 1.4rem 0.25rem !important;
    }

    // this sets the previous button style
    .myDpPrevBtn {
      order: 2;
      margin-right: 0.5rem;

      .myDpIconLeftArrow {
        font-size: 0.7rem;
        color: #697687;
      }
    }


    // this sets the previous button style
    .myDpNextBtn {
      order: 3;
      margin-left: 0.8rem !important;

      .myDpIconRightArrow {
        font-size: 0.7rem;
        color: #697687;
      }
    }
  }
}
